bitel.billing.server.hd.bean

## Class HdPackage

- java.lang.Object
- - bitel.billing.server.hd.bean.HdPackage

- All Implemented Interfaces:
    ListItem

      public class HdPackage
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HdPackage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivateType()`
    `java.util.List<java.lang.Integer>` | `getDomainZoneList()`
    `java.lang.String` | `getHostAddr()`
    `int` | `getHostCol()`
    `int` | `getHostDomain()`
    `int` | `getHostingHost()`
    `int` | `getHostingType()`
    `int` | `getId()`
    `int` | `getNsDomain()`
    `java.util.List<java.lang.Integer>` | `getNsServerPrimaryList()`
    `java.util.List<java.lang.Integer>` | `getNsServerSecondaryList()`
    `java.util.List<java.lang.Integer>` | `getPeriodsActivation()`
    `java.util.List<java.lang.Integer>` | `getPeriodsProlongation()`
    `int` | `getProlongationType()`
    `int` | `getServiceId()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isDomainEnable()`
    `boolean` | `isHostEnable()`
    `boolean` | `isHostingEnable()`
    `boolean` | `isNsEnable()`
    `void` | `setActivateType(int activateType)`
    `void` | `setDomainEnable(boolean domainEnable)`
    `void` | `setDomainZoneList(java.util.List<java.lang.Integer> domainZones)`
    `void` | `setHostAddr(java.lang.String hostAddr)`
    `void` | `setHostCol(int hostCol)`
    `void` | `setHostDomain(int hostDomainType)`
    `void` | `setHostEnable(boolean hostEnable)`
    `void` | `setHostingEnable(boolean hostingEnable)`
    `void` | `setHostingHost(int hostingHostType)`
    `void` | `setHostingType(int hostingType)`
    `void` | `setId(int id)`
    `void` | `setNsDomain(int nsDomainType)`
    `void` | `setNsEnable(boolean nsEnable)`
    `void` | `setNsServerPrimaryList(java.util.List<java.lang.Integer> nsList)`
    `void` | `setNsServerSecondaryList(java.util.List<java.lang.Integer> nsList)`
    `void` | `setPeriodsActivation(java.util.List<java.lang.Integer> periodsActivation)`
    `void` | `setPeriodsProlongation(java.util.List<java.lang.Integer> periodsProlongation)`
    `void` | `setProlongationType(int prolongationType)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HdPackage

          public HdPackage()

  - ### Method Detail

    - #### getPeriodsActivation

          public java.util.List<java.lang.Integer> getPeriodsActivation()

    - #### setPeriodsActivation

          public void setPeriodsActivation(java.util.List<java.lang.Integer> periodsActivation)

    - #### getPeriodsProlongation

          public java.util.List<java.lang.Integer> getPeriodsProlongation()

    - #### setPeriodsProlongation

          public void setPeriodsProlongation(java.util.List<java.lang.Integer> periodsProlongation)

    - #### setDomainZoneList

          public void setDomainZoneList(java.util.List<java.lang.Integer> domainZones)

    - #### setNsServerPrimaryList

          public void setNsServerPrimaryList(java.util.List<java.lang.Integer> nsList)

    - #### setNsServerSecondaryList

          public void setNsServerSecondaryList(java.util.List<java.lang.Integer> nsList)

    - #### getActivateType

          public int getActivateType()

    - #### setActivateType

          public void setActivateType(int activateType)

    - #### isDomainEnable

          public boolean isDomainEnable()

    - #### setDomainEnable

          public void setDomainEnable(boolean domainEnable)

    - #### getHostDomain

          public int getHostDomain()

    - #### setHostDomain

          public void setHostDomain(int hostDomainType)

    - #### isHostEnable

          public boolean isHostEnable()

    - #### setHostEnable

          public void setHostEnable(boolean hostEnable)

    - #### isHostingEnable

          public boolean isHostingEnable()

    - #### setHostingEnable

          public void setHostingEnable(boolean hostingEnable)

    - #### getHostingHost

          public int getHostingHost()

    - #### setHostingHost

          public void setHostingHost(int hostingHostType)

    - #### getNsDomain

          public int getNsDomain()

    - #### setNsDomain

          public void setNsDomain(int nsDomainType)

    - #### isNsEnable

          public boolean isNsEnable()

    - #### setNsEnable

          public void setNsEnable(boolean nsEnable)

    - #### getProlongationType

          public int getProlongationType()

    - #### setProlongationType

          public void setProlongationType(int prolongationType)

    - #### getNsServerPrimaryList

          public java.util.List<java.lang.Integer> getNsServerPrimaryList()

    - #### getNsServerSecondaryList

          public java.util.List<java.lang.Integer> getNsServerSecondaryList()

    - #### getDomainZoneList

          public java.util.List<java.lang.Integer> getDomainZoneList()

    - #### getHostingType

          public int getHostingType()

    - #### setHostingType

          public void setHostingType(int hostingType)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getHostAddr

          public java.lang.String getHostAddr()

    - #### setHostAddr

          public void setHostAddr(java.lang.String hostAddr)

    - #### getHostCol

          public int getHostCol()

    - #### setHostCol

          public void setHostCol(int hostCol)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)